Summary:	A Bayesian probability spam analysis engine
Name:		spamprobe
Version:	1.2a
Release:	1mdk
License:	QPL
Group:		Networking/Mail
URL:		http://www.sourceforge.net/projects/spamprobe
Source0:	http://prdownloads.sourceforge.net/spamprobe/%{name}-%{version}.tar.bz2
BuildRequires:	db4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SpamProbe is a spam detection program that uses a Bayesian
analysis of the frequencies of terms used in the email. Because it
filters email based on content rather than on general rules, it
easily adapts itself to the types of email that each individual
user normally receives. 

%prep

%setup -q

%build

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc contrib ChangeLog README.txt
%doc countscores.rb incrtest.rb multitest.sh runtest.sh splitmail.rb wordtests.sh
%{_mandir}/man1/spam*
%{_bindir}/spamprobe 

%changelog 
* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2a-1mdk
- 1.2a
- drop obsolete patch and spec hacks

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9h-1mdk
- 0.9h
- rebuilt against new deps and with gcc v3.4.x
- added P0 (from debian, but slightly adjusted)

* Fri Sep 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9e-1mdk
- 0.9e
- fix explicit-lib-dependency
- fix buildrequires

* Wed Aug 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9a-1mdk
- initial cooker contrib
